Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 31-10-2013 08:43:50

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Mes notes pour une xfce minimal ( peut servir)

Mon installation simple à partir du CD Netinstall Debian Wheezy xfce


Graphical install
French
France
Français


Nom de la machine : au choix
Domaine : au choix
Mot de passe Root & confirmer
Nom d'utilisateur & confirmer
Mode de passe utilisateur & confirmer


Partitionnement:
au choix
Terminer le partionnement et appliquer les changements
Oui - appliquer
Formatage
Installation du système de base
Gestion des paquets: France
ftp.fr.debian.org
Un mandataire: au choix
Popularity-contest: au choix
Selection des logiciels: laisser juste coché utilitaires usuels du système (129 paquets)
Grub, choisir Oui car c'est le seul système sur l'ordinateur.
Démontage du CD et continuer
Redémarrage du système


login
pass
su
pass


nano /etc/apt/sources.list
 



ajouter à la fin de toutes les lignes contrib non-free
ctrl + o écrire
entrée
ctrl + x quitter
apt-get update
apt-get upgrade


nano /etc/apt/apt.conf.d/norecommends
 



mettre dedans ce nouveau fichier:


APT
{
Install-Recommends "false";
Install-Suggests "false";
}
 



Ctrl + o
Entrée
Ctrl - x


nano /etc/apt/apt.conf
 




Acquire {
      Languages "none";
};
 



Ctrl + o
Entrée
Ctrl + x

Installation de mes paquets
xorg    (j'aurais pu mieux faire, surtout en connaissant le matos)                    "107 paquets"
xfce4                                                                                                                    "78 paquets"
thunar-volman                                                                                                     "1 paquet"
lightdm    (c'est mon choix au lieu de slim)                                                       "17 paquets"


apt-get install xorg xfce4 thunar-volman lightdm
 



Reboot

Boite de dialogue -----> Utiliser les paramètres par défaut

tango-icon-theme                                                                                                  "2 paquets"
mousepad                                                                                                              "1 paquet"
xfce4-power-manager   (pour la gestionnaire d'alimentation)                            "10 paquets"
hal                                                                                                                          "3 paquets"


apt-get install tango-icon-theme mousepad xfce4-power-manager hal
 

                                                                                                                       

Si hal n'est pas installé et malgré les multiples solutions proposées sur Internet et qui n'ont pas marchées pour moi. Les boutons Redémarrer, éteindre, veille et hibernation seront grisés. Si hal installé, c'est OK.

iceweasel et iceweasel-l10n-fr                                                                                  "8 paquets"

 




A ce stade je reboot pour voir comment cela se passe.
error ............driver "pc"
Donc installation de Alsa
alsa-base alsa-utils alsa-oss                                                                                  "4 paquets"


apt-get install alsa-base alsa-utils alsa-oss  
 



xfce4-terminal                                                                                                         "3 paquets"


apt-get install xfce4-terminal  
 



ensuite virer xterm mais pas avant pour ne pas avoir un problème de dépendances et de tout virer


cat /proc/asound/modules
 



0  snd_hda_intel        (sur ma carte graphique)
1  snd_emu10k1          ( Audigy 2 ZS)



Je vais blacklister la première en 0


lsmod | grep snd_
 



je blackliste donc:


snd_hda_codec_hdmi
snd_hda_codec
snd_hda_intel
 



J'édite (création) et je met les 3 modules ci-dessus. (pour mon exemple)


nano /etc/modprobe.d/blacklist.conf
 



ctrl + o
Entrée
ctrl + x


update-initramfs -u
 



Redémarrage.

Un cat fait apparaitre que ma carte Audigy 2 ZS est maintenant en 0 et est ma seul carte.

en console lancer alsamixer
volume général à 81%

puis en root: (pour sauvegarder mes réglages)


alsactl store
 



En user un petit


speaker-test -c2 -Dplug:front -t wav  
 


(pour contrôler si le son sort bien sur mes deux front)

Comme j'ai un kit 5.1 un petit


speaker-test -D plug:surround51 -c 6 -l 1 -t wav
 



Tout est OK

Je m'apperçois que le thème d'icônes Tango n'est pas complet et qu'il me manque des icônes. Ce qui engendre des erreurs dans mon fichier .xsession-errors
apt-get remove --purge tango-icon-theme
apt-get install gnome-icon-theme

pmount  (à vérifier)                                                   "1 paquets"
gvfs    (monter clés usb etc)                                     "14 paquets"
policykit-1                                                                  "3 paquets"


apt-get install pmount gvfs policy-1
 



Quand je veux ouvrir un disque dur, j'ai droit à un :
Echec au montage - Authentification is required.
Il faut installer le paquet qui nous permet d'avoir la boite de dialogue pour la saisie du mot de passe.
policykit-1-gnome                                                    "1 paquets"


apt-get install policykit-1-gnome
 




Paquets de mon choix

blktool   pour connaitre l'uuid                                                                    "1 paquets"
evince                                                                                                         "26 paquets"


apt-get install blktool evince
 



un dpkg --get-selections > mes_paquets me donne 583 paquets installés


A ce stage, ça tourne et je me rend compte que les paquets recommendés peuvent mettre le boxon au niveau warning dans les logs.

Prochaine étape.
Audacity et voir si il coupe le son du player en cours si on lance celui-ci en dernier.

EDIT : Audacity, même punition. Il coupe le son du player en cours de lecture. Je pensais a un résidu de configuration quand j'avais pulseaudio mais non, c'est pas là que je dois chercher. Peut-être mon .asoundrc mais bon....

Dernière modification par golgot200 (31-10-2013 18:47:15)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#2 31-10-2013 11:13:28

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : Mes notes pour une xfce minimal ( peut servir)

Quelques questions smile

golgot200 a écrit :

Tout dans une seul partition ( pour les débutants)


Pourquoi ?

golgot200 a écrit :

Popularity-contest: laisser sur non


Pourquoi?

golgot200 a écrit :

apt-get upgrade


Si tu as décidé d'utiliser un miroir pendant l'installation, ça n'est pas utile. De plus, pourquoi un upgrade et non un dist-upgrade?

golgot200 a écrit :

APT
{
Install-Recommends "false";
Install-Recommends "false";
}


Attention, tu te répètes là smile

golgot200 a écrit :

nano /etc/apt/apt.conf

Acquire {
      Languages "none";
};


Tu peux préciser que cela permet de ne pas télécharger les descriptions françaises des programmes. Donc peu de gain de place sur le disque dur, mais un peu de gain lors de l'update.

Une manière de gagner de l'espace sur le disque dur est d'installer le paquet localepurge, qui te permet de supprimer toute la doc qui n'est pas dans ta locale.

golgot200 a écrit :

apt-get install xfce4


Je préfère utiliser le métapaquet task-xfce-desktop bien que le résultat soit exactement le même.

golgot200 a écrit :

Reboot


Pas besoin. Si tu veux ton interface graphique, il suffit de

service lightdm restart



golgot200 a écrit :

apt-get install hall


Un « l » en trop là smile

golgot200 a écrit :

A ce stade je reboot pour voir comment cela se passe.
error ............driver "pc"
Donc installation de Alsa
apt-get install alsa-base alsa-utils alsa-oss                                                                                  "4 paquets"


Une fois de plus, le reboot n'est past nécessaire.

golgot200 a écrit :

Redémarrage.
Un cat fait apparaitre que ma carte Audigy 2 ZS est maintenant en 0 et est ma seul carte.


Tu es sûr qu'un

service alsa-utils

ne suffit pas ?

golgot200 a écrit :

apt-get install pmount  (à vérifier)                                                   "1 paquets"
apt-get install gvfs    (monter clés usb etc)                                     "14 paquets"
apt-get install policykit-1                                                                  "3 paquets"


Quand je veux ouvrir un disque dur, j'ai droit à un :
Echec au montage - Authentification is required.
Il faut installer le paquet qui nous permet d'avoir la boite de dialogue pour la saisie du mot de passe.
apt-get install policykit-1-gnome                                                    "1 paquets"


Là on n'est plus vraiment dans une install minimale smile
pmount est très pratique pour monter les disques amovibles automatiquement dans /media. Mais si tu les montes via le gvfs l'intérêt est moindre.

Tu pourrais faire un véritable script qui fait toutes ces opérations, à l'exception de celles spécifiques à la machine, mais il n'y en a pas tant que ça. smile

N'hésite pas non plus à utiliser les balises code pour rendre ton post un peu plus agréable à lire :
    Le code, ça pique moins les yeux en couleur


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#3 31-10-2013 18:06:26

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Mes notes pour une xfce minimal ( peut servir)

@captnfab

Tout dans une seul partition ( pour les débutants)
Je pas cherché à partitionner. C'est une machine teste.  Mon but pour l'instant est plutôt axé paquets à installer et leur importance.

Popularity-contest: laisser sur non
J'ai pas cherché. Mais je laisse le choix. J'aurais du dire : à vous de choisir. smile

De plus, pourquoi un upgrade et non un dist-upgrade?
Je ne sais même  même pas la différence. smile

Gagner de l'espace sur le disque dur est d'installer le paquet localepurge
Pour ça, j'utiliserai Bleachbit que je trouve pas mal.


APT
{
Install-Recommends "false";
Install-Recommends "false";
}
 



Oups, je me suis gourré, c'est les suggestions hmm

Et oui
apt-get install hal

Là on n'est plus vraiment dans une install minimale
Donc pmount, je peux le virer ?

Mais ma question reste entière au niveau de Hal qui pour moi est indispensable. Exaile pour le Cd-audio et les boutons grisés.

Ha oui, j'ai fait en sorte que ça fasse moins mal aux noeils smile

Dernière modification par golgot200 (31-10-2013 19:11:07)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#4 31-10-2013 19:14:08

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : Mes notes pour une xfce minimal ( peut servir)

golgot200 a écrit :

Je pas cherché à partitionner. C'est une machine teste.  Mon but pour l'instant est plutôt axé paquets à installer et leur importance.


Ah d'ac, si c'est juste une install pour les tests, alors ok smile Du coup, pour les tests, laisser popularity contest à non est aussi justifié smile


golgot200 a écrit :

De plus, pourquoi un upgrade et non un dist-upgrade?
Je ne sais même  même pas la différence. smile


Le man apt-get explique un peu la différence. L'idée est que le dist-upgrade est plus robuste et plus complet pour les mises à jour importantes. Ce qui est le cas de la première mise à jour du système si celui-ci a été installé sans internet.

golgot200 a écrit :

Gagner de l'espace sur le disque dur est d'installer le paquet localepurge
Pour ça, j'utiliserai Bleachbit que je trouve pas mal.


Mhh, de ce que j'avais compris, bleachbit ne s'occupe que des fichiers utilisateurs. localepurge s'occupe de virer par exemple la traduction chinoise (et en fait, toutes sauf la version sélectionnée) des pages man, des documentations, etc. smile


golgot200 a écrit :

Là on n'est plus vraiment dans une install minimale
Donc pmount, je peux le virer ?


Perso, c'est gvfs/policykit que je virerais smile
Laisser pmount ne fais pas de mal.

golgot200 a écrit :

Mais ma question reste entière au niveau de Hal qui pour moi est indispensable. Exaile pour le Cd-audio et les boutons grisés.


Malheureusement, je n'utilise pas du tout ces outils et ne peux pas te donner d'indication pour cela!

Merci pour la colo syntaxique tongue


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#5 01-11-2013 14:22:04

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Mes notes pour une xfce minimal ( peut servir)

@captnfab

Bonjour,

Une question. Suis-je obligé de monter automatiquement dans le fstab mon second disque dur interne ?
Pourquoi je pose la question. Parce que qu'en je fais par exemple  Paramètres -- Bureau --  + (ajouter),  dans le panneau de gauche je vois un doublon de mon disque dur nommé Save.

Si je commente la ligne :
#UUID=1fee74d3-fd0b-4e3f-9a19-62c7b8719088   /media/Save     ext3   users,defaults    0      2

Ce doublon disparait.

Mais en faisant cela, j'ai peur de perdre la vérification de mon système de fichiers non ?
Ou peut-être existe t'il une manière manuel de lancer un contrôle pour cela ?

Dernière modification par golgot200 (01-11-2013 14:52:47)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#6 01-11-2013 15:07:01

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Mes notes pour une xfce minimal ( peut servir)

Par contre avec une minimale, je m'apperçois qu'il est plus facile de corriger le petit bug qui apparait dans son .xsession-errors.

Une chose aussi pour le script sfgxi pour l'installation du pilote graphique, le :
Install-Recommends "false";
Je ne sais pas si c'est recommandé !!!  l'installation n'aboutit pas big_smile

le pilote 325 sur une minimale, c'est pas terrible alors que sur une installation avec les paquets recommandés ça roule.
Exemple : à la deconnection de ma session, des portions genre incrustation de résidus d'images bavent sur l'écran big_smile


EDIT:

Après une demi heure de tests, c'est pas beau !!!!


Xsession: X session started for patrick at vendredi 1 novembre 2013, 13:46:21 (UTC+0100)
localuser:patrick being added to access control list
/usr/bin/x-session-manager: X server already running on display :0
ssh-agent is already running
xfdesktop[3263]: starting up
xfce4-settings-helper: Another instance is already running. Leaving...
INFO    : Loading Exaile 0.3.2.2...
INFO    : Loading settings...
INFO    : Loading plugins...
INFO    : Loading collection...
INFO    : Loading devices...
INFO    : Loading interface...
INFO    : Loading main window...
INFO    : Connecting main window events...
INFO    : Loading panels...
INFO    : Connecting panel events...
INFO    : Done loading main window...
INFO    : Playing file:///home/patrick/Musiques/DJ%20Pool/DJ%20Pool%20-%20Poolmix%2080s%20Volume%203.mp3
 

Dernière modification par golgot200 (01-11-2013 15:16:08)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#7 01-11-2013 15:42:07

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : Mes notes pour une xfce minimal ( peut servir)

@solgot: le doublon est là parce que tu as mis le tag « users » qui sert à rendre le montage possible par l'utilisateur. Ce qui n'est pas ce que tu veux puisque le montage est déjà effectué au boot.

Quant à sfgx, ça n'est pas supporté. Pour une stable, utiliser les backports, pour une testing/sid, utiliser experimental.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#8 01-11-2013 16:02:51

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Mes notes pour une xfce minimal ( peut servir)

Donc :
Je met comme ceci si j'ai bien compris:

UUID=1fee74d3-fd0b-4e3f-9a19-62c7b8719088   /media/Save     ext3   defaults    0      2

Pour le pilote, c'est bien domage mais il me semble qu'on sera toujours sur une version 304 si je me trompe pas. Donc pas de vdpau. Il me semble que c'est à partir de la 310 qu'il y ai la prise en charge.

Pour l'instant, je reste sur nouveau et je vais resté pour mes tests en stable.
En attendant le 304 ne me convient pas.
La version 325 pour l'instant est la seule version qui garde les réglages des couleurs par la méthode tellement citée.

EDIT: pour le fstab, ça marche merci smile
Je n'ai rien dis pour la version du pilote, on est plus haut dans les autres branches sauf jessie 304.108. (pour les backports je ne sais pas)
PS: j'aime pas solgot lol

Dernière modification par golgot200 (01-11-2013 16:16:21)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#9 01-11-2013 16:19:30

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : Mes notes pour une xfce minimal ( peut servir)

Normalement, /media est réservé aux périphériques amovibles, et /mnt est à utiliser dans les autres cas.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#10 01-11-2013 19:30:50

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Mes notes pour une xfce minimal ( peut servir)

Merci  wink

L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#11 01-11-2013 21:25:50

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : Mes notes pour une xfce minimal ( peut servir)

Et merci à toi pour ton retour smile

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#12 02-11-2013 22:58:24

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Mes notes pour une xfce minimal ( peut servir)

Si vous cherchez à mettre smplayer ou les applications en QT  dans le style GTK+ et surtout quand vous avez un message du style :

QGtkStyle was unable to detect the current GTK+ theme.
SMPlayer v. 0.8.0 fonctionnant sur Linux

Vous cherchez pas à installer une tonne de paquets pour arriver à ce que smplayer prenne le style gtk.
C'est ce paquet : libgnomeui-0

L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#13 02-11-2013 23:32:01

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Mes notes pour une xfce minimal ( peut servir)

Bonsoir,

Bon ce post est fait pour mes tests aussi et surtout mes constatations.

Pour ce qui est du pilote propriètaire nvidia et nouveau.

Nouveau : rien à dire, ça tourne bien mais assez limité. Mais bon, il est jeune.

Le fameux 304.88 dans les dépots. Désolé mais il ne doit pas aimer ma 520 GT. C'est une vrai gamel. au redimenssionement par le coin de certaines fenêtres, ça saccade méchant. Jusqu'à iceweasel aussi, on sent que c'est lourd, pas fluide du tout.

le 325 pas le script sgfxi, je sais, c'est pas supporté mais il est tout de même signalé dans la documentation et très simple d'application même si on doit le faire en deux temps. Mais je pense que c'est normal. Et bien lui, il doit aimer ma carte car ça carbure.

Je tiens aussi à signaler que la documentation Debian Facile est parfaite et claire. smile

C'est pas un coup de gueule mais simplement mes constatations et que j'ai fait ses manipulations une dizaine de fois avec les mêmes résultats.


EDIT: à moins qu'il faille pousser un peu plus la configuration du xorg.conf pour le 304 comme celui généré par le script sgfxi qui lui est costaud niveau contenu.


Section "ServerLayout"
  Identifier     "X.org Configured"
  Screen      0  "Screen0" 0 0
  Screen      1  "Screen1" RightOf "Screen0"
  Screen      2  "Screen2" RightOf "Screen1"
  InputDevice    "Mouse0" "CorePointer"
  InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
  ModulePath   "/usr/lib/xorg/modules"
  FontPath     "/usr/share/fonts/X11/misc"
  FontPath     "/usr/share/fonts/X11/cyrillic"
  FontPath     "/usr/share/fonts/X11/100dpi/:unscaled"
  FontPath     "/usr/share/fonts/X11/75dpi/:unscaled"
  FontPath     "/usr/share/fonts/X11/Type1"
  FontPath     "/usr/share/fonts/X11/100dpi"
  FontPath     "/usr/share/fonts/X11/75dpi"
  FontPath     "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
  FontPath     "built-ins"
EndSection

Section "Module"
  Load  "glx"
  Load  "dbe"
  Load  "dri2"
  Load  "extmod"
# Load  "dri"
  Load  "record"
EndSection

Section "InputDevice"
  Identifier  "Keyboard0"
  Driver      "kbd"
EndSection

Section "InputDevice"
  Identifier  "Mouse0"
  Driver      "mouse"
  Option      "Protocol" "auto"
  Option      "Device" "/dev/input/mice"
  Option      "ZAxisMapping" "4 5 6 7"
EndSection

Section "Monitor"
  Identifier   "Monitor0"
  VendorName   "Monitor Vendor"
  ModelName    "Monitor Model"
EndSection

Section "Monitor"
  Identifier   "Monitor1"
  VendorName   "Monitor Vendor"
  ModelName    "Monitor Model"
EndSection

Section "Monitor"
  Identifier   "Monitor2"
  VendorName   "Monitor Vendor"
  ModelName    "Monitor Model"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz",
        ### <percent>: "<f>%"
        ### [arg]: arg optional
        #Option     "SWcursor"            # [<bool>]
        #Option     "HWcursor"            # [<bool>]
        #Option     "NoAccel"             # [<bool>]
        #Option     "ShadowFB"            # [<bool>]
        #Option     "VideoKey"            # <i>
        #Option     "WrappedFB"           # [<bool>]
        #Option     "GLXVBlank"           # [<bool>]
        #Option     "ZaphodHeads"         # <str>
        #Option     "PageFlip"            # [<bool>]
        #Option     "SwapLimit"           # <i>
        #Option     "AsyncUTSDFS"         # [<bool>]
  Identifier  "Card0"
  Driver  "nvidia"
  Option      "Coolbits"  "1"
  Option      "AddARGBGLXVisuals" "true"
  Option      "TripleBuffer"  "false"
  BusID       "PCI:1:0:0"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz",
        ### <percent>: "<f>%"
        ### [arg]: arg optional
        #Option     "ShadowFB"            # [<bool>]
        #Option     "Rotate"              # <str>
        #Option     "fbdev"               # <str>
        #Option     "debug"               # [<bool>]
  Identifier  "Card1"
  Driver  "nvidia"
  Option      "Coolbits"  "1"
  Option      "AddARGBGLXVisuals" "true"
  Option      "TripleBuffer"  "false"
  BusID       "PCI:1:0:0"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz",
        ### <percent>: "<f>%"
        ### [arg]: arg optional
        #Option     "ShadowFB"            # [<bool>]
        #Option     "DefaultRefresh"      # [<bool>]
        #Option     "ModeSetClearScreen"  # [<bool>]
  Identifier  "Card2"
  Driver  "nvidia"
  Option      "Coolbits"  "1"
  Option      "AddARGBGLXVisuals" "true"
  Option      "TripleBuffer"  "false"
  BusID       "PCI:1:0:0"
EndSection

Section "Screen"
  Identifier "Screen0"
  Device     "Card0"
  Monitor    "Monitor0"
  SubSection "Display"
    Viewport   0 0
    Depth     1
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     4
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     8
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     15
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     16
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     24
  EndSubSection
EndSection

Section "Screen"
  Identifier "Screen1"
  Device     "Card1"
  Monitor    "Monitor1"
  SubSection "Display"
    Viewport   0 0
    Depth     1
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     4
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     8
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     15
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     16
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     24
  EndSubSection
EndSection

Section "Screen"
  Identifier "Screen2"
  Device     "Card2"
  Monitor    "Monitor2"
  SubSection "Display"
    Viewport   0 0
    Depth     1
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     4
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     8
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     15
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     16
  EndSubSection
  SubSection "Display"
    Viewport   0 0
    Depth     24
  EndSubSection
EndSection



Section "Extensions"
  Option      "Composite" "enable"
# Option      "RENDER"  "disable"
EndSection
 

Dernière modification par golgot200 (03-11-2013 00:21:43)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#14 03-11-2013 01:55:16

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Mes notes pour une xfce minimal ( peut servir)

Pour lightdm, il est préférable de l'installer avec les paquets recommandés.

Contrairement à mon post 6 où je disais :

golgot200 a écrit :


le pilote 325 sur une minimale, c'est pas terrible alors que sur une installation avec les paquets recommandés ça roule.
Exemple : à la deconnection de ma session, des portions genre incrustation de résidus d'images bavent sur l'écran



Une réinstallation complète avec les recommendés règlent ce problème.

Dernière modification par golgot200 (03-11-2013 01:55:37)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

#15 05-11-2013 15:36:41

golgot200
Membre
Lieu : AIN
Distrib. : Debian Jessie
Noyau : Linux debian 3.16.0-4-amd64
(G)UI : MATE
Inscription : 05-08-2007

Re : Mes notes pour une xfce minimal ( peut servir)

Le thème de curseurs.
Sur une installation standard, choisir un thème ne marchait pas. Il fallait éditer le fichier default dans /usr/share/icons/default

[Icon Theme]
Inherits=Default

et remplacer Default par son thème choisi.


Là, bizarrement, sur une minimale rien à faire. Juste installer le paquet:



apt-get install dmz-cursor-theme
 




et le fichier est bien modifié:

[Icon Theme]
Inherits=Default

...

Dernière modification par golgot200 (05-11-2013 15:38:02)


L'ultime question ... l'intelligence a besoin de la bêtise pour s'affirmer, la beauté a besoin de la laideur pour resplendir, le courage nait dans la peur, les forts impressionnent au millieu des faibles, mais au final,... qui a donc besoin d'autant de connards ?

Hors ligne

Pied de page des forums